Show / Hide Table of Contents

# Class RestSystemMessage

Represents a REST-based system message.

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestMessage
RestSystemMessage

##### Implements

IUpdateable
ISystemMessage
IMessage
ISnowflakeEntity
IEntity<System.UInt64>
IDeletable

##### Inherited Members

RestMessage.Channel
RestMessage.Author
RestMessage.Source
RestMessage.Content
RestMessage.CreatedAt
RestMessage.IsTTS
RestMessage.IsPinned
RestMessage.IsSuppressed
RestMessage.EditedTimestamp
RestMessage.Attachments
RestMessage.Embeds
RestMessage.MentionedChannelIds
RestMessage.MentionedRoleIds
RestMessage.MentionedUsers
RestMessage.Tags
RestMessage.Timestamp
RestMessage.Activity
RestMessage.Application
RestMessage.Reference
RestMessage.UpdateAsync(RequestOptions)
RestMessage.DeleteAsync(RequestOptions)
RestMessage.ToString()
RestMessage.IMessage.Type
RestMessage.IMessage.Author
RestMessage.IMessage.Attachments
RestMessage.IMessage.Embeds
RestMessage.IMessage.MentionedUserIds
RestMessage.Reactions
RestMessage.AddReactionAsync(IEmote, RequestOptions)
RestMessage.RemoveReactionAsync(IEmote, IUser, RequestOptions)
RestMessage.RemoveReactionAsync(IEmote, UInt64, RequestOptions)
RestMessage.RemoveAllReactionsAsync(RequestOptions)
RestMessage.GetReactionUsersAsync(IEmote, Int32, RequestOptions)
RestEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestSystemMessage : RestMessage, IUpdateable, ISystemMessage, IMessage, ISnowflakeEntity, IEntity<ulong>, IDeletable

### Properties

| Improve this Doc View Source

#### Type

Gets the type of this system message.

##### Declaration

    public MessageType Type { get; }

##### Property Value

Type | Description
--- | ---
MessageType |

### Implements

IUpdateable
ISystemMessage
IMessage
ISnowflakeEntity
IEntity<TId>
IDeletable